import { WelcomeLogo } from '@/components/Branding';
import StructuredData from '@/components/StructuredData';
import { BRANDING_NAME } from '@/const/branding';
import { ldModule } from '@/server/ld';
import { metadataModule } from '@/server/metadata';
import { translation } from '@/server/translation';
import { isMobileDevice } from '@/utils/responsive';

export const generateMetadata = async () => {
  const { t } = await translation('metadata');
  return metadataModule.generate({
    description: t('plugins.description', { appName: BRANDING_NAME }),
    title: t('plugins.title', { appName: BRANDING_NAME }),
    url: '/plugins',
  });
};

const Page = async () => {
  const mobile = isMobileDevice();
  const { t } = await translation('metadata');
  const ld = ldModule.generate({
    description: t('plugins.description', { appName: BRANDING_NAME }),
    title: t('plugins.title', { appName: BRANDING_NAME }),
    url: '/plugins',
  });

  return (
    <>
      {/*<StructuredData ld={ld} />*/}
      {/*<WelcomeLogo mobile={mobile} />*/}
      <div>插件</div>
    </>
  );
};

Page.displayName = 'Robot';

export default Page;
